Bug 1007269 - SELinux is preventing /usr/libexec/gdm-session-worker from read, write access on the file utab.
SELinux is preventing /usr/libexec/gdm-session-worker from read, write access...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
: 1007270 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-09-12 04:20 EDT by Milan Kerslager
Modified: 2014-08-22 08:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-22 08:03:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2013-09-12 04:20:33 EDT
Description of problem:
Normal use in GUI
SELinux is preventing /usr/libexec/gdm-session-worker from read, write access on the file utab.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gdm-session-worker should be allowed read write access on the utab file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep gdm-session-wor /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:mount_var_run_t:s0
Target Objects                utab [ file ]
Source                        gdm-session-wor
Source Path                   /usr/libexec/gdm-session-worker
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           gdm-3.8.4-2.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.1.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.10-200.fc19.x86_64 #1 SMP Thu
                              Aug 29 19:05:45 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-09-10 13:57:52 CEST
Last Seen                     2013-09-10 13:58:25 CEST
Local ID                      733a6562-d6be-4268-af56-824c561c4995

Raw Audit Messages
type=AVC msg=audit(1378814305.173:454): avc:  denied  { read write } for  pid=1673 comm="gdm-session-wor" name="utab" dev="tmpfs" ino=7446 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mount_var_run_t:s0 tclass=file

type=AVC msg=audit(1378814305.173:454): avc:  denied  { open } for  pid=1673 comm="gdm-session-wor" path="/run/mount/utab" dev="tmpfs" ino=7446 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mount_var_run_t:s0 tclass=file

type=SYSCALL msg=audit(1378814305.173:454): arch=x86_64 syscall=open success=yes exit=EFAULT a0=7f98a9f881fe a1=80042 a2=1a4 a3=0 items=0 ppid=1354 pid=1673 auid=500 uid=0 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 ses=1 tty=(none) comm=gdm-session-wor exe=/usr/libexec/gdm-session-worker subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: gdm-session-wor,xdm_t,mount_var_run_t,file,read,write

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.10-200.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-09-12 05:36:34 EDT
*** Bug 1007270 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Grepl 2013-09-12 07:26:23 EDT
do you know what you were doing when this happened?
Comment 3 Milan Kerslager 2013-09-12 09:33:29 EDT
I have Xfce and up-to-date F19. I did nothing special.
Comment 4 Lukas Vrabec 2014-08-22 08:03:08 EDT
I close it now, if this happens again please re-open this.

Note You need to log in before you can comment on or make changes to this bug.